package content_reward

import (
	"applet/app/svc/content_reward"
	"github.com/gin-gonic/gin"
)

// PlayletBase
// @Summary      制度中心-内容奖励-短剧基本信息
// @Tags         蛋蛋能量
// @Description  制度中心-内容奖励-短剧基本信息
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object} md.PlayletBaseData  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/institutionalManagement/contentReward/playlet/base [get]
func PlayletBase(c *gin.Context) {
	content_reward.PlayletBase(c)
}

// PlayletBaseSave
// @Summary      制度中心-内容奖励-短剧基本配置保存
// @Tags         蛋蛋能量
// @Description  制度中心-内容奖励-短剧基本配置保存
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.PlayletBaseData          true   "(分页信息必填)"
// @Success      200   {string}   	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/institutionalManagement/contentReward/playlet/save [post]
func PlayletBaseSave(c *gin.Context) {
	content_reward.PlayletBaseSave(c)
}
