package md

type EggPointCoefficientNode struct {
	Id          int    `json:"id"`
	StartScore  string `json:"start_score"` // 起始分值
	EndScore    string `json:"end_score"`   // 截止分值
	Coefficient string `json:"coefficient"` // 系数
}

type EggPointCoefficientGetResp struct {
	List []EggPointCoefficientNode `json:"list"`
}

type EggPointCoefficientBatchAddNode struct {
	StartScore  string `json:"start_score"` // 起始分值
	EndScore    string `json:"end_score"`   // 截止分值
	Coefficient string `json:"coefficient"` // 系数
}

type EggPointCoefficientBatchAddReq struct {
	List []EggPointCoefficientNode `json:"list"` // 系数管理列表
}

type EggPointCoefficientDelReq struct {
	Id string `json:"id" binding:"required"` // 需要删除范围的id
}

type EggPointCoefficientUpdateReq struct {
	Id          string `json:"id" binding:"required"` // 需要修改范围的id
	StartScore  string `json:"start_score"`           // 起始分值
	EndScore    string `json:"end_score"`             // 截止分值
	Coefficient string `json:"coefficient"`           // 系数
}
