package md

type GetFriendCircleBasicSettingsResp struct {
	Id                  int `json:"id"`
	CommentIsRealName   int `json:"comment_is_real_name"`   // 评论是否需要实名认证(1:是 2:否)
	PublishIsRealName   int `json:"publish_is_real_name"`   // 发布是否需要实名认证(1:是 2:否)
	CommentNumsEveryDay int `json:"comment_nums_every_day"` // 评论每天次数
	PublishNumsEveryDay int `json:"publish_nums_every_day"` // 发布每天次数
}

type UpdateFriendCircleBasicSettingsReq struct {
	Id                  int `json:"id,required"`
	CommentIsRealName   int `json:"comment_is_real_name"`   // 评论是否需要实名认证(1:是 2:否)
	PublishIsRealName   int `json:"publish_is_real_name"`   // 发布是否需要实名认证(1:是 2:否)
	CommentNumsEveryDay int `json:"comment_nums_every_day"` // 评论每天次数
	PublishNumsEveryDay int `json:"publish_nums_every_day"` // 发布每天次数
}
