package md

type AdminLogListReq struct {
	Page      string `json:"page,required"`  // 页数
	Limit     string `json:"limit,required"` // 每页大小
	Type      string `json:"type"`
	Memo      string `json:"memo"`
	StartTime string `json:"start_time"`
	EndTime   string `json:"end_time"`
}
type AdminLogList struct {
	Id      string `json:"id"`
	Type    string `json:"type"`
	Memo    string `json:"memo"`
	Time    string `json:"time"`
	Ip      string `json:"ip"`
	Phone   string `json:"phone"`
	AdminId string `json:"admin_id"`
}
type AdminLogListResp struct {
	Total    int64                    `json:"total"`
	TypeList []map[string]interface{} `json:"type_list"`
	List     []AdminLogList           `json:"list"`
}
