package md

type PlayletBaseData struct {
	Reward      string `json:"reward" example:"单次奖励"`
	Total       string `json:"total" example:"可领取总次数"`
	FirstCount  string `json:"first_count" example:"首次可观看集数"`
	SecondCount string `json:"second_count" example:"看一次广告解锁集数"`
	DayOneCount string `json:"day_one_count" example:"每天每个短剧解锁次数"`
}

type VideoBaseData struct {
	Reward   string `json:"reward" example:"单次奖励"`
	Total    string `json:"total" example:"可领取总次数"`
	Timer    string `json:"timer" example:"观看X秒奖励"`
	Interval string `json:"interval" example:"领取间隔 秒"`
}
type PlayletIncentiveBaseData struct {
	AndroidAdvId     string `json:"android_adv_id" example:"安卓激励视频广告位"`
	AndroidAdvSecret string `json:"android_adv_secret" example:"安卓激励视频秘钥"`
	IosAdvId         string `json:"ios_adv_id" example:"iOS激励视频广告位"`
	IosAdvSecret     string `json:"ios_adv_secret" example:"iOS激励视频秘钥"`
}
