package md

type CertificateListReq struct {
	Page  string `json:"page"`
	Limit string `json:"limit"`
	Phone string `json:"phone"`
	Uid   string `json:"uid"`
}
type CertificateListResp struct {
	Total int64             `json:"total"`
	List  []CertificateList `json:"list"`
}
type CertificateDelReq struct {
	Id []string `json:"id"`
}

type CertificateList struct {
	Id        string `json:"id" `
	Uid       string `json:"uid"`
	Phone     string `json:"phone"`
	No        string `json:"no" example:"编号"`
	Name      string `json:"name" example:"姓名"`
	StartTime string `json:"start_time" example:"开始时间"`
	EndTime   string `json:"end_time" example:"结束时间"`
	Logo      string `json:"logo"  example:"logo"`
	BgImg     string `json:"bg_img"  example:"背景图"`
	NameIcon  string `json:"name_icon"  example:"蛋蛋星球文字图"`
	Medal     string `json:"medal" example:"勋章"`
	Seal      string `json:"seal" example:"印章"`
}
type CertificateSave struct {
	Id        string `json:"id" `
	Uid       string `json:"uid"`
	No        string `json:"no" example:"编号"`
	Name      string `json:"name" example:"姓名"`
	StartTime string `json:"start_time" example:"开始时间"`
	EndTime   string `json:"end_time" example:"结束时间"`
}
