package svc

import (
	"applet/app/cfg"
	"applet/app/db"
	"applet/app/utils/cache"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_es.git/es"
	"testing"
)

func TestEggEnergyAutoUpdateUserAccess(t *testing.T) {
	dbcfg := cfg.DBCfg{
		Host:         "119.23.182.117:3306",
		Name:         "egg",
		User:         "root",
		Psw:          "Fnuo123com@",
		ShowLog:      true,
		MaxLifetime:  30,
		MaxOpenConns: 100,
		MaxIdleConns: 100,
		Path:         "tmp/%s.log",
	}
	db.InitDB(&dbcfg)
	cache.NewRedis("127.0.0.1:6379")
	es.Init("http://123.57.140.192:9200/", "elastic", "fnuo123")
	EggEnergyAutoUpdateUserAccess(db.Db)
}
