package svc

import (
	"applet/app/db"
	"applet/app/utils/cache"
	"fmt"
	"time"
	"xorm.io/xorm"
)

func EggEnergyCoinFlow(engine *xorm.Engine) {
	fmt.Println(">>>>>>>>>>>>>>>>>>EggEnergyCoinFlow-----<<<<<<<<<<<<<<<<<<<")
	var now = time.Now()
	year, month, day := now.Date()
	today := time.Date(year, month, day, 0, 0, 0, 0, time.Local)
	thisWeek := today.AddDate(0, 0, -int(today.Weekday())+1).Format("2006-01-02")
	thisMonth := time.Date(year, month, 1, 0, 0, 0, 0, time.Local).Format("2006-01-02")

	//判断今天是否清空
	getString1, _ := cache.GetString("user_virtual_coin_flow_aggregation_today_data")
	if getString1 != today.Format("2006-01-02") {
		//go func() {
		sql := "UPDATE `user_virtual_coin_flow_aggregation` SET today_data= '0.00'"
		_, err := db.ExecuteOriginalSql(engine.Where(""), sql)
		if err != nil {
			fmt.Println("err:>>>>>>>>", err.Error())
			return
		}
		fmt.Println("success:update:day>>>>>>>>")
		cache.Set("user_virtual_coin_flow_aggregation_today_data", today.Format("2006-01-02"))
		//}()
	}

	//判断本周是否清空
	getString2, _ := cache.GetString("user_virtual_coin_flow_aggregation_this_week_data")
	if getString2 != today.Format("2006-01-02") && thisWeek == today.Format("2006-01-02") {
		//go func() {
		sql := "UPDATE `user_virtual_coin_flow_aggregation` SET this_week_data= '0.00'"
		_, err := db.ExecuteOriginalSql(engine.Where(""), sql)
		if err != nil {
			fmt.Println("err:>>>>>>>>", err.Error())
			return
		}
		fmt.Println("success:update:week>>>>>>>>")
		cache.Set("user_virtual_coin_flow_aggregation_this_week_data", today.Format("2006-01-02"))
		//}()
	}

	//判断本月是否清空
	getString3, _ := cache.GetString("user_virtual_coin_flow_aggregation_this_month_data")
	if getString3 != today.Format("2006-01-02") && thisMonth == today.Format("2006-01-02") {
		//go func() {
		sql := "UPDATE `user_virtual_coin_flow_aggregation` SET this_month_data= '0.00'"
		_, err := db.ExecuteOriginalSql(engine.Where(""), sql)
		if err != nil {
			fmt.Println("err:>>>>>>>>", err.Error())
			return
		}
		fmt.Println("success:update:month>>>>>>>>")
		cache.Set("user_virtual_coin_flow_aggregation_this_month_data", today.Format("2006-01-02"))
		//}()
	}

	fmt.Println(">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>EggEnergyCoinFlow----end<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<")
	return
}
