package hdl

import (
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// AdminLog
// @Summary      操作日志
// @Tags         操作日志
// @Description  操作日志
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.AdminLogListReq          true   "(分页信息必填)"
// @Success      200   {object}  md.AdminLogListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/adminLog/list [post]
func AdminLog(c *gin.Context) {
	svc.AdminLog(c)
}
