package setCenter

type WebBasicResp struct {
	SeoTitle       string `json:"seo_title"`
	SeoLogo        string `json:"seo_logo"`
	SeoLogoUrl     string `json:"seo_logo_url"`
	WebLogo        string `json:"web_logo"`
	WebLogoUrl     string `json:"web_logo_url"`
	WapHost        string `json:"wap_host" example:"h5域名"`
	AndroidDownUrl string `json:"android_down_url"`
	IosDownUrl     string `json:"ios_down_url"`
}
type WebBasicReq struct {
	SeoTitle       string `json:"seo_title"`
	SeoLogo        string `json:"seo_logo"`
	WebLogo        string `json:"web_logo"`
	WapHost        string `json:"wap_host" example:"h5域名"`
	AndroidDownUrl string `json:"android_down_url"`
	IosDownUrl     string `json:"ios_down_url"`
}
type KuaizhanBasicResp struct {
	KuaizhanUrl string `json:"kuaizhan_url"`
}
type KuaizhanBasicReq struct {
	KuaizhanUrl string `json:"kuaizhan_url"`
}
type WebDomainBasicReq struct {
	WebDomain   []string `json:"web_domain"`
	DownWebOpen string   `json:"down_web_open"`
}
